Bug 175489 - screensaver doesn't work if tvtime is running
screensaver doesn't work if tvtime is running
Product: Fedora
Classification: Fedora
Component: tvtime (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
Depends On:
  Show dependency treegraph
Reported: 2005-12-11 16:26 EST by John Ellson
Modified: 2008-01-30 06:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-30 06:21:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Ellson 2005-12-11 16:26:02 EST
Description of problem:
If tvtime is left running the screensaver doesn't cut in an lock the screen when
it should.  Arguably this is a security, or at least a provacy problem.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. tvtime
2. wait for screensaver timeout
Actual results:
No screen lock

Expected results:
Screen lock

Additional info:
Comment 1 Marius Andreiana 2006-02-15 15:25:32 EST
This actually is a feature, but I'll let Ray confirm. I don't want screensaver
to start/monitor to turn off when watching TV (same as it doesn't start when
totem is running).
Comment 2 John Ellson 2006-02-15 16:33:18 EST
Can it be made optional?   Or perhaps allow screensaver except when
viewing TV in fullscreen mode?

My habit is to run a small TV window on the desktop, so to me it should behave
as just another desktop application, but I can see your point if the user is
sitting back and just using the computer as a TV.

For me the current behavior is a bit of a security concern as it means I can't
always rely on the screen locking when I walk away from my desk.
Comment 3 Ray Strode [halfline] 2007-03-28 12:47:58 EDT
John, does it happen in the small tv window case you mention, or in fullscreen only?
Comment 4 John Ellson 2007-03-28 13:18:54 EDT
The screensaver currently never operates when tvtime is running; not in window
nor in fullscreen modes.

My suggestion is that screensaver should be allowed to operate normally when
tvtime is in window mode.

In fullscreen mode I agree that you would not want the screensaver to obscure
the tv images, but OTOH, it would be good if the screen lock still operated such
that leaving tvtime fullscreen takes you to the screensaver unlock screen.
Comment 5 Ray Strode [halfline] 2007-03-28 15:41:27 EDT
So I have a few comments:

1) it seems like tvtime is purposefully inhibiting the screensaver, so this bug
report should probably be moved to tvtime

2) I'm not sure it's a bad thing for it to be inhibiting the screensaver, it
means  that the screensaver won't pop up while you're watching tv.

3) from a security point of view, walking away and depending on your screen to
autolock probably isn't the best idea.  If you want your screen locked, you
should probably explicitly do it before you leave (or there is a window where
your screen won't be locked).  Does explicitly locking the screen work?
Comment 6 Tomas Smetana 2008-01-30 06:21:23 EST
This bug is in NEEDINFO for ten months.  I understand why it's good to switch
the screensaver off during tvtime being run (even windowed one).  And this is
definitely not any security problem.  Closing.

Note You need to log in before you can comment on or make changes to this bug.